Qwt User's Guide: QwtRichTextEngine Class Reference

- Main Page
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# QwtRichTextEngine Class Reference

Inheritance diagram for QwtRichTextEngine:

[legend]
Collaboration diagram for QwtRichTextEngine:

[legend]
List of all members.

## Detailed Description

A text engine for Qt rich texts.

QwtRichTextEngine renders Qt rich texts using the classes of the Scribe framework of Qt.

Definition at line 150 of file qwt_text_engine.h.

## Public Member Functions
| QwtRichTextEngine ()
virtual int | heightForWidth (const QFont &font, int flags, const QString &text, int width) const
virtual QSize | textSize (const QFont &font, int flags, const QString &text) const
virtual void | draw (QPainter *painter, const QRect &rect, int flags, const QString &text) const
virtual bool | mightRender (const QString &) const
virtual void | textMargins (const QFont &, const QString &, int &left, int &right, int &top, int &bottom) const

## Constructor & Destructor Documentation

QwtRichTextEngine::QwtRichTextEngine | ( |  | ) |

Constructor.

Definition at line 277 of file qwt_text_engine.cpp.

## Member Function Documentation

int QwtRichTextEngine::heightForWidth | ( | const QFont & | font,
|  | int | flags,
|  | const QString & | text,
|  | int | width |
| ) |  |  | const`[virtual]`

Find the height for a given width

Parameters:

  | font | Font of the text
  | flags | Bitwise OR of the flags used like in QPainter::drawText
  | text | Text to be rendered
  | width | Width

Returns:
  Calculated height

Implements QwtTextEngine.

Definition at line 291 of file qwt_text_engine.cpp.

QSize QwtRichTextEngine::textSize | ( | const QFont & | font,
|  | int | flags,
|  | const QString & | text |
| ) |  |  | const`[virtual]`

Returns the size, that is needed to render text

Parameters:

  | font | Font of the text
  | flags | Bitwise OR of the flags used like in QPainter::drawText
  | text | Text to be rendered

Returns:
  Caluclated size

Implements QwtTextEngine.

Definition at line 316 of file qwt_text_engine.cpp.

void QwtRichTextEngine::draw | ( | QPainter * | painter,
|  | const QRect & | rect,
|  | int | flags,
|  | const QString & | text |
| ) |  |  | const`[virtual]`

Draw the text in a clipping rectangle

Parameters:

  | painter | Painter
  | rect | Clipping rectangle
  | flags | Bitwise OR of the flags like in for QPainter::drawText
  | text | Text to be rendered

Implements QwtTextEngine.

Definition at line 387 of file qwt_text_engine.cpp.

References QwtPainter::drawSimpleRichText().

bool QwtRichTextEngine::mightRender | ( | const QString & | text | ) | const`[virtual]`

Test if a string can be rendered by this text engine

Parameters:

  | text | Text to be tested

Returns:
  QStyleSheet::mightBeRichText(text);

Implements QwtTextEngine.

Definition at line 413 of file qwt_text_engine.cpp.

void QwtRichTextEngine::textMargins | ( | const QFont & | ,
|  | const QString & | ,
|  | int & | left,
|  | int & | right,
|  | int & | top,
|  | int & | bottom |
| ) |  |  | const`[virtual]`

Return margins around the texts

Parameters:

  | left | Return 0
  | right | Return 0
  | top | Return 0
  | bottom | Return 0

Implements QwtTextEngine.

Definition at line 430 of file qwt_text_engine.cpp.